Summary: A set of GNU utilities commonly used in shell scripts.
Name: sh-utils
Version: 2.0
Release: 1.3.0
Copyright: GPL
Group: System Environment/Shells
Source: ftp://ftp.gnu.org/pub/gnu/sh-utils/sh-utils-%{version}.tar.gz
Source1: su.pamd
# remove hostname and uptime
Patch1: sh-utils-2.0-hostname.patch
Patch2: sh-utils-2.0-utmp.patch
Patch3: sh-utils-1.16-mktime.patch
Patch4: sh-utils-1.16-paths.patch
Patch5: sh-utils-2.0-aclocal.patch
Patch6: sh-utils-2.0-pam.patch
Patch7: sh-utils-2.0-cest.patch
BuildRoot: /var/tmp/%{name}-root
Requires: pam >= 0.72-1.0.5
Prereq: /sbin/install-info

%description
The GNU shell utilities are a set of useful system utilities which are
often used in shell scripts.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
find . -name \*.orig -exec rm -fv {} \;

# XXX docs should say /var/run/[uw]tmp not /etc/[uw]tmp
perl -pi -e 's,/etc/utmp,/var/run/utmp,g' doc/sh-utils.texi man/logname.1 man/users.1 man/who.1
perl -pi -e 's,/etc/wtmp,/var/run/wtmp,g' doc/sh-utils.texi man/logname.1 man/users.1 man/who.1

%build
automake
rm -rf build-$RPM_ARCH
mkdir -p build-$RPM_ARCH ; cd build-$RPM_ARCH
CFLAGS="$RPM_OPT_FLAGS -DSYSLOG_SUCCESS -DSYSLOG_FAILURE" \
	../configure --prefix=/usr \
	--disable-largefile --enable-pam \
	--mandir=$RPM_BUILD_ROOT%{_mandir} --infodir=$RPM_BUILD_ROOT%{_infodir}
CFLAGS="$RPM_OPT_FLAGS" CC="gcc -march=i686" make
make info

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{bin,etc/pam.d,%{_sbindir}}
mkdir -p $RPM_BUILD_ROOT/%{_infodir}

make install prefix=$RPM_BUILD_ROOT/usr -C build-$RPM_ARCH
strip $RPM_BUILD_ROOT/usr/bin/* || :

for i in basename date echo false nice pwd sleep stty su true uname ; do
    install -m 755 -s $RPM_BUILD_ROOT/usr/bin/$i $RPM_BUILD_ROOT/bin/$i
    rm -f $RPM_BUILD_ROOT/usr/bin/$i
done

## install -m 750 -s $RPM_BUILD_ROOT/usr/bin/chroot $RPM_BUILD_ROOT/usr/sbin/chroot
mv $RPM_BUILD_ROOT/usr/bin/chroot $RPM_BUILD_ROOT/usr/sbin/

# use procps versions instead
rm -f $RPM_BUILD_ROOT/usr/bin/{hostname,uptime}
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/{hostname,uptime}.*

rm -f $RPM_BUILD_ROOT/usr/bin/[
ln -sf test $RPM_BUILD_ROOT/usr/bin/[

gzip -n -f $RPM_BUILD_ROOT/%{_infodir}/sh-utils.info

mkdir -p $RPM_BUILD_ROOT/etc/pam.d
install -m 640 ${RPM_SOURCE_DIR}/su.pamd $RPM_BUILD_ROOT/etc/pam.d/su

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_infodir}/usr/share/sh-utils.info.gz ]; then
	/sbin/install-info %{_infodir}/usr/share/sh-utils.info.gz %{_infodir}/dir
fi

%preun
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/sh-utils.info.gz %{_infodir}/dir
fi

%files
%defattr(-,root,root)
%doc NEWS README
%attr(0640,root,root) 	%config /etc/pam.d/su
/bin/basename
/bin/date
/bin/echo
/bin/false
%attr(0750,root,root)	/bin/nice
/bin/pwd
/bin/sleep
/bin/stty
%attr(4750,root,admin)	/bin/su
/bin/true
/bin/uname
%attr(0750,root,root)	/usr/sbin/chroot
/usr/bin/*
%doc %{_mandir}/man1/*
%doc %{_infodir}/sh-utils.info.gz

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).

* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.0, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).

* Fri Mar 23 2001 Pete O'Hara <pete@guardiandigital.com>
- re-removed /usr/bin/chroot and left /usr/sbin/chroot

* Mon Dec 4 2000 Pete O'Hara <pete@guardiandigital.com>
- removed /usr/bin/su,chroot  and left /bin/su,
	/usr/sbin/chroot

* Tue Nov 28 2000 Pete O'Hara <pete@guardiandigital.com>
- made install-info conditional on existence of *info.gz

* Sat Nov 25 2000 Dave Wreski <dave@guardiandigital.com>
- requires pam >= 0.72-1.0.5
- remove uptime

* Fri Nov 17 2000 Dave Wreski <dave@guardiandigital.com>
- FHS cleanups
- upgrade to 2.0
- documentation cleanups

* Thu Jun 08 2000 Pete O'Hara <pete@guardiandigital.com>
- removed suid and world exec from su for security 
- removed suid from chroot
- removed world access to /etc/pam.d/su
- removed nullok passwd arguments and disabled passing 
	of X Window cookies to disallow bypassing 
	of "xhost" restrictions

